﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebApp.MvcApplication.Models;

namespace WebApp.MvcApplication.Services
{
    public class TreeService
    {
        public List<TheTreeNode> GetStoryCategories()
        {
            List<TheTreeNode> data = new List<TheTreeNode>();

            TheTreeNode category1 = new TheTreeNode();
            category1.text = ".NET";
            category1.hasChildren = true;
            category1.id = ".NET";
            category1.classes = "folder";

            TheTreeNode category2 = new TheTreeNode();
            category2.text = "ASP.NET MVC";
            category2.hasChildren = true;
            category2.id = "ASP.NET MVC";
            category2.classes = "folder";

            TheTreeNode category3 = new TheTreeNode();
            category3.text = "AJAX";
            category3.hasChildren = true;
            category3.id = "AJAX";
            category3.classes = "folder";

            TheTreeNode category4 = new TheTreeNode();
            category4.text = "ADO.NET";
            category4.hasChildren = true;
            category4.id = "AJAX";
            category4.classes = "folder";
            
            data.Add(category1);
            data.Add(category2);
            data.Add(category3);
            data.Add(category4);

            return data;

        }

        public  List<TheTreeNode> GetStorySubCategories()
        {
            List<TheTreeNode> data = new List<TheTreeNode>();

            TheTreeNode item1 = new TheTreeNode();
            item1.text = "Latest Articles";
            item1.id = "Latest Articles";
            item1.classes = "file";

            TheTreeNode item2 = new TheTreeNode();
            item2.text = "Forum Post";
            item2.classes = "file";
            item2.id = "Forum Post";

            data.Add(item1);
            data.Add(item2);

            return data;
        }

    }
}
