﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApp.MvcApplication.Models;
using WebApp.MvcApplication.Services;

namespace WebApp.MvcApplication.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            
            ViewData["Message"] = "Welcome to FictitiousWebsite.com!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult LatestStories()
        {
            return View();
        }

        public ActionResult Stories(string id)
        {
            //Do necessary computation and return the View
            ViewData.Add("id",id );
            return View();
        }

        public JsonResult GetStoryList(string root)
        {
            TreeService service = new TreeService();
            List<TheTreeNode> d;
            if (root == "source")

                d = service.GetStoryCategories();
            else
                d = service.GetStorySubCategories();
            var result =
                   new JsonResult
                   {
                       Data = new { d }
                   };
            return result;
        }
    }
}
